@echo off

echo OpenSSL Binary for Windows: https://wiki.openssl.org/index.php/Binaries

openssl.exe req -x509 -newkey rsa:4096 -keyout key.pem -out cert.pem -sha256 -days 3650 -nodes -subj "/C=DE/ST=Hessen/L=Bad-Wildungen/O=INFOSERVER - Landau-Software GmbH/OU=INFOSERVER - Landau-Software GmbH/CN=%COMPUTERNAME%"

type key.pem cert.pem > server_certificate.pem
	
echo Done!